Bug 1268043 - Back button on first panel of subscription-manager-gui workflow has no effect
Summary: Back button on first panel of subscription-manager-gui workflow has no effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1323636
TreeView+ depends on / blocked
 
Reported: 2015-10-01 16:43 UTC by John Sefler
Modified: 2016-11-03 20:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Back button is disabled for the first panel of registration workflow (286.61 KB, image/png)
2016-07-14 05:25 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1243707 None CLOSED Rename cancel button of initial-setup "Back" in the dialogue where you are supposed to enter your redhat credentials 2019-02-18 02:45:45 UTC
Red Hat Bugzilla 1257179 None CLOSED subscription-manager-initial-setup-addon - "Cancel" button does nothing 2019-02-18 02:45:45 UTC
Red Hat Bugzilla 1323636 None MODIFIED Unwanted "Back" button on subscription-manager-gui system registration screen 2019-02-18 02:45:45 UTC
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Internal Links: 1243707 1257179 1323636

Description John Sefler 2015-10-01 16:43:50 UTC
Description of problem:
As a consequence of attempts to address bug 1257179 and bug 1243707, the newly introduced Back button in the subscription-manager-gui has no effect (FIRST PANEL ONLY) and the dialog has no obvious way to be canceled.

Arguably one could say that since you are on the first registration panel there is no more going "Back" which explains why the Back button has no effect.  It's just not user friendly to be able to click a button that does nothing.  Instead, this button should be either disabled or undisplayed when on the first panel of registration.

Workarounds for Canceling:
 1. right click on the gnome widow decoration and choose "Close"
 2. Hit the "Esc" key

Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.15.9-13.el7.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Either disable or undisplay the back button on first panel of registration workflow

Additional info:

Comment 2 John Sefler 2015-10-02 14:22:14 UTC
deferring to rhel-7.3.0 due to severity and time schedule remaining for rhel-7.2.0

Comment 5 Chris Snyder 2016-07-08 21:34:28 UTC
Correction Master Commit: 

ea587429b223b554eefce0001ac722afd442e59a

please ignore comment 4

Comment 7 Shwetha Kallesh 2016-07-14 05:25:48 UTC
Created attachment 1179595 [details]
Back button is disabled for the first panel of registration workflow

[root@shwetha-workstation ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.13-1
subscription management rules: 5.20
subscription-manager: 1.17.9-1.el7
python-rhsm: 1.17.5-1.el7
subscription-manager-gui-1.17.9-1.el7.x86_64

Comment 9 errata-xmlrpc 2016-11-03 20:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.